=== modified file 'tests/t/null_key.test'
--- tests/t/null_key.test	2008-12-21 17:02:01 +0000
+++ tests/t/null_key.test	2008-12-22 18:11:42 +0000
@@ -31,18 +31,45 @@
 create table t2 like t1;
 insert into t2 select * from t1;
 alter table t1 modify b blob not null, add c int not null, drop key a, add unique key (a,b(20),c), drop key b, add key (b(10));
+# @TODO Should this be a MyISAM-specific test or not?
+# Ignore "rows" in output -- inaccurate for InnoDB
+--regex-replace 9 X
 explain select * from t1 where a is null and b = 2;
+# Ignore "rows" in output -- inaccurate for InnoDB
+--regex-replace 9 X
 explain select * from t1 where a is null and b = 2 and c=0;
+# Ignore "rows" in output -- inaccurate for InnoDB
+--regex-replace 9 X
 explain select * from t1 where a is null and b = 7 and c=0;
+# Ignore "rows" in output -- inaccurate for InnoDB
+--regex-replace 9 X
 explain select * from t1 where a=2 and b = 2;
+# Ignore "rows" in output -- inaccurate for InnoDB
+--regex-replace 9 X
 explain select * from t1 where a<=>b limit 2;
+# Ignore "rows" in output -- inaccurate for InnoDB
+--regex-replace 9 X
 explain select * from t1 where (a is null or a > 0 and a < 3) and b < 5 and c=0 limit 3;
+# Ignore "rows" in output -- inaccurate for InnoDB
+--regex-replace 9 X
 explain select * from t1 where (a is null or a = 7) and b=7 and c=0;
+# Ignore "rows" in output -- inaccurate for InnoDB
+--regex-replace 9 X
 explain select * from t1 where (a is null and b>a) or a is null and b=7 limit 2;
+# Ignore "rows" in output -- inaccurate for InnoDB
+--regex-replace 9 X
 explain select * from t1 where a is null and b=9 or a is null and b=7 limit 3;
+# Ignore "rows" in output -- inaccurate for InnoDB
+--regex-replace 9 X
 explain select * from t1 where a > 1 and a < 3 limit 1;
+# Ignore "rows" in output -- inaccurate for InnoDB
+--regex-replace 9 X
 explain select * from t1 where a is null and b=7 or a > 1 and a < 3 limit 1;
+# Ignore "rows" in output -- inaccurate for InnoDB
+--regex-replace 9 X
 explain select * from t1 where a > 8 and a < 9;
+# Ignore "rows" in output -- inaccurate for InnoDB
+--regex-replace 9 X
 explain select * from t1 where b like "6%";
 select * from t1 where a is null;
 select * from t1 where a is null and b = 7 and c=0;
@@ -71,19 +98,33 @@
 select * from t1 where (a = 7 or a is null) and (a = 7 or a is null);
 create table t2 (a int);
 insert into t2 values (7),(8);
+# Ignore "rows" in output -- inaccurate for InnoDB
+--regex-replace 9 X
 explain select * from t2 straight_join t1 where t1.a=t2.a and b is null;
 drop index b on t1;
+# Ignore "rows" in output -- inaccurate for InnoDB
+--regex-replace 9 X
 explain select * from t2,t1 where t1.a=t2.a and b is null;
 select * from t2,t1 where t1.a=t2.a and b is null;
+# Ignore "rows" in output -- inaccurate for InnoDB
+--regex-replace 9 X
 explain select * from t2,t1 where t1.a=t2.a and (b= 7 or b is null);
 select * from t2,t1 where t1.a=t2.a and (b= 7 or b is null);
+# Ignore "rows" in output -- inaccurate for InnoDB
+--regex-replace 9 X
 explain select * from t2,t1 where (t1.a=t2.a or t1.a is null) and b= 7;
 select * from t2,t1 where (t1.a=t2.a or t1.a is null) and b= 7;
+# Ignore "rows" in output -- inaccurate for InnoDB
+--regex-replace 9 X
 explain select * from t2,t1 where (t1.a=t2.a or t1.a is null) and (b= 7 or b is null);
 select * from t2,t1 where (t1.a=t2.a or t1.a is null) and (b= 7 or b is null);
 insert into t2 values (null),(6);
 delete from t1 where a=8;
+# Ignore "rows" in output -- inaccurate for InnoDB
+--regex-replace 9 X
 explain select * from t2,t1 where t1.a=t2.a or t1.a is null;
+# Ignore "rows" in output -- inaccurate for InnoDB
+--regex-replace 9 X
 explain select * from t2,t1 where t1.a<=>t2.a or (t1.a is null and t1.b <> 9);
 select * from t2,t1 where t1.a<=>t2.a or (t1.a is null and t1.b <> 9);
 drop table t1,t2;

